ACP3 (v4.0b3) - Multiple Vulnerabilities May 05 2007 04:50PM
john martinelli com
<!--

ACP3 (v4.0b3) - Multiple Vulnerabilities

Cookie Manipulation Vulnerability
-----------------------------------

File: search/list/action_search/index.php
Variable: form[search_term]

Cross-Site Scripting Vulnerabilities
------------------------------------

File: contact/contact/index.php
Variable: form[mail]

File: search/list/action_search/index.php
Variables: form[mods][], form[search_term],

File: modules/dl/download.php
Variable: id

File: news/list/index.php
Variable: form[cat]

File: news/details/id_##/action_create/index.php
Variables: form[cat], form[name], form[message],

File: newsletter/create/index.php
Variable: form[mail]

SQL Injection Vulnerabilities
-----------------------------

File: feeds.php
Variable: mode

File: news/list/index.php
Variable: form[cat]

File: news/details/id_##/action_create/index.php
Variable: form[cat]

File: search/list/action_search/index.php
Variable: form[mods][]

Vulnerable: ACP3 v4.0 Beta 3 (other versions may also be vulnerable)
Google d0rk: "Diese Webseite wird angetrieben von ACP3"

John Martinelli
john (at) martinelli (dot) com [email concealed]
http://john-martinelli.com

May 5th, 2007

!-->

<html>
<head><title>ACP3 (v4.0b3) - Multiple Vulnerabilities</title><body>

<center><br><br><font size=4>ACP3 (v4.0b3) - Multiple Vulnerabilities</font><br><font size=3>discovered by <a href="http://john-martinelli.com">John Martinelli</a><br><br>Google d0rk: <a href="http://www.google.com/search?q=%22Diese+Webseite+wird+angetrieben+
von+ACP3">"Diese Webseite wird angetrieben von ACP3"</a></font><br>

<br><br>
<form action="http://www.example.com/path/news/list/index.php" method="post">
<input name="form[cat]" size=75 value=">'><script>alert(1);</script>">
<input type=submit value="Execute Attack" class="button">
</form>

</body></html>

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus